'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.koaMiddleware = koaMiddleware;

var _statsdClient = require('statsd-client');

var _statsdClient2 = _interopRequireDefault(_statsdClient);

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _tcpAdapter = require('../tcpAdapter');

var tcpAdapter = _interopRequireWildcard(_tcpAdapter);

var _config = require('../config');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const statsdServer = _config.config.get('statsd');
const application = _config.config.get('application');

const domain = `${_os2.default.hostname()}.${application.name}.appMetrics`;
const sdc = new _statsdClient2.default(statsdServer);

async function koaMiddleware(ctx, next) {
  let startTime;
  if (statsdServer.enabled) {
    startTime = new Date();
  }
  // the body contains the key
  const transaction = tcpAdapter.popTransaction(ctx.body);

  ctx.body = transaction.data;
  ctx.authorisedChannel = transaction.channel;

  if (statsdServer.enabled) {
    sdc.timing(`${domain}.retrieveTCPTransactionMiddleware`, startTime);
  }
  await next();
}
//# sourceMappingURL=retrieveTCPTransaction.js.map