'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserModel = exports.UserModelAPI = undefined;

var _mongoose = require('mongoose');

var _config = require('../config');

const UserSchema = new _mongoose.Schema({
  firstname: {
    type: String, required: true
  },
  surname: {
    type: String, required: true
  },
  email: {
    type: String, required: true, unique: true
  },
  passwordAlgorithm: String,
  passwordHash: String,
  passwordSalt: String,
  groups: [String],
  msisdn: String,
  dailyReport: Boolean,
  weeklyReport: Boolean,
  settings: Object,
  token: String,
  tokenType: {
    type: String,
    enum: ['newUser', 'existingUser', null]
  }, // null is needed as we used nulls to clear to token and tokenType
  expiry: Date,
  locked: Boolean
});

// compile the User Schema into a Model
const UserModelAPI = exports.UserModelAPI = _config.connectionAPI.model('User', UserSchema);
const UserModel = exports.UserModel = _config.connectionDefault.model('User', UserSchema);
//# sourceMappingURL=users.js.map